Package org.zkoss.idom

## Class DOMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.w3c.dom.DOMException
        - - org.zkoss.idom.DOMException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class DOMException
      extends org.w3c.dom.DOMException

  Denotes an operation is not supported.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.xml.sax.Locator` | `_loc` |

    - ### Fields inherited from class org.w3c.dom.DOMException

      `code, DOMSTRING_SIZE_ERR, HIERARCHY_REQUEST_ERR, INDEX_SIZE_ERR, INUSE_ATTRIBUTE_ERR, INVALID_ACCESS_ERR, INVALID_CHARACTER_ERR, INVALID_MODIFICATION_ERR, INVALID_STATE_ERR, NAMESPACE_ERR, NO_DATA_ALLOWED_ERR, NO_MODIFICATION_ALLOWED_ERR, NOT_FOUND_ERR, NOT_SUPPORTED_ERR, SYNTAX_ERR, TYPE_MISMATCH_ERR, VALIDATION_ERR, WRONG_DOCUMENT_ERR`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DOMException​(short code)` |
    `DOMException​(short code, java.lang.String extraMsg)` |
    `DOMException​(short code, java.lang.String extraMsg, org.xml.sax.Locator loc)` |
    `DOMException​(short code, org.xml.sax.Locator loc)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _loc

          protected org.xml.sax.Locator _loc

  - ### Constructor Detail

    - #### DOMException

          public DOMException​(short code)

    - #### DOMException

          public DOMException​(short code,
                              java.lang.String extraMsg)

    - #### DOMException

          public DOMException​(short code,
                              org.xml.sax.Locator loc)

    - #### DOMException

          public DOMException​(short code,
                              java.lang.String extraMsg,
                              org.xml.sax.Locator loc)